Interface PortConfiguration
- All Known Implementing Classes:
PortConfigurationJson
public interface PortConfiguration
An allowed port configuration for an Equinix Internet Access (EIA) v1 service, as returned by
GET /internetAccess/v1/portConfigurations.
This is a read-only response view.
-
Method Summary
-
Method Details
-
getUseCase
UseCase getUseCase()- Returns:
- the intended use case (
MAIN,BACKUPorMANAGEMENT_ACCESS)
-
getType
Redundancy getType()- Returns:
- the redundancy configuration (
SINGLE_PORTorDUAL_PORT)
-
getRoutingProtocol
PortConfigRoutingProtocol getRoutingProtocol()- Returns:
- the allowed routing-protocol configuration
-
getConnection
PortConfigConnection getConnection()- Returns:
- the allowed connection configuration
-